Subject: Re: bug#16005: inferior-lisp and filenames with spaces

From: Eli Zaretskii <[email-masked]>
Date: Thu, 15 Jul 2021 10:25:19 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Thu, 15 Jul 2021 09:10:33 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >>       (let ((cmdlist (split-string cmd)))
> >> 	(set-buffer (apply (function make-comint)
> >> 			   "inferior-lisp" (car cmdlist) nil (cdr cmdlist)))
> 
> [...]
> 
> > If we prompt the users for a shell command, we should expect the users
> > to quote it as they would when they type at the shell's prompt.  is
> > this prompt for the complete shell command, or is it only for the name
> > of the program's executable file?  If the latter, we should run the
> > result through shell-quote-argument before using it; if the former,
> > the user should do the quoting, and there's no bug in Emacs.
> 
> It's the former.  The problem is that there is no way for the user to
> quote the command, since we do a `split-string' on what they typed in
> before executing it.

Then how about using split-string-and-unquote instead of split-string?